Subject: Re: bug#49869: Revert buffer? Yes/No/Maybe

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Aug 2021 15:53:54 +0300

> Date: Wed, 04 Aug 2021 12:37:43 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> >> (global-set-key (kbd "C-x x g") 'revert-buffer-short-answer)
> >
> > If you propose this as something people who want this could do in their 
> > init files, then I agree.
> >
> 
> No, I propose this as a solution to Juri's problem, instead of his 
> proposed solution to "revert the buffer immediately" with C-x x g, which 
> is indeed too drastic.  Something even better to take Lars' suggestion (do 
> not ask confirmation when the buffer has not been modified) into account:

I don't think we need to cater to personal preferences by adding new
commands.  The user option exists so that users could customize the
behavior to their liking without requiring us to provide a solution
for every personal taste.